<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Part III. Additional widgets: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="index.html" title="Exo Reference Manual">
<link rel="prev" href="ExoToolbarsView.html" title="ExoToolbarsView">
<link rel="next" href="ExoIconBar.html" title="ExoIconBar">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="ExoToolbarsView.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ExoIconBar.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="part">
<div class="titlepage"><div><div><h1 class="title">
<a name="exo-widgets"></a>Part III. Additional widgets</h1></div></div></div>
<div class="toc">
<p><b>Table of Contents</b></p>
<dl class="toc">
<dt>
<span class="refentrytitle"><a href="ExoIconBar.html">ExoIconBar</a></span><span class="refpurpose"> — A widget for displaying icon bars</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ExoIconChooserDialog.html">ExoIconChooserDialog</a></span><span class="refpurpose"> — Dialog to select icons</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ExoIconView.html">ExoIconView</a></span><span class="refpurpose"> — A widget which displays a list of icons in a grid</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ExoTreeView.html">ExoTreeView</a></span><span class="refpurpose"> — An improved version of <span class="type">GtkTreeView</span></span>
</dt>
<dt>
<span class="refentrytitle"><a href="ExoWrapTable.html">ExoWrapTable</a></span><span class="refpurpose"> — A container widget with automatic child layouting</span>
</dt>
</dl>
</div>
<p>
      This section describes the additional widgets provided by the <span class="application">exo</span> library. The <a class="link" href="ExoIconBar.html" title="ExoIconBar">ExoIconBar</a>, <a class="link" href="ExoIconView.html" title="ExoIconView">ExoIconView</a> and <a class="link" href="ExoTreeView.html" title="ExoTreeView">ExoTreeView</a>
      are views that display data from a <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html">GtkTreeModel</a>, and can be seen as extensions to the basic widgets
      in Gtk+. For example, both <a class="link" href="ExoIconView.html" title="ExoIconView">ExoIconView</a> and <a class="link" href="ExoTreeView.html" title="ExoTreeView">ExoTreeView</a> offer support
      for single-click mode, which is not provided by their Gtk+ counterparts.
    </p>
<p>
      The <a class="link" href="ExoIconChooserDialog.html" title="ExoIconChooserDialog">ExoIconChooserDialog</a> is a special widget, that presents a dialog to let the user select
      an icon from the current icon theme or from an image file in the file system. You should use this dialog whenever you want the user to
      select an icon, instead of just displaying a <a href="http://developer.gnome.org/gtk2/GtkFileChooserDialog.html">GtkFileChooserDialog</a>.
    </p>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>